Scilab Function
Last update : 00/00/0000

interpln - interpolation linéaire

### Calling Sequence

  `[y]=interpln(xyd,x)`

### Parameters

- `xyd` : matrice à deux lignes (coordonnées x et y des points)
- `x` : vecteur des abscisses
- `y` : vecteur des ordonnées

### Description

Étant donné `xyd` un ensemble de points dans le plan avec des abscisses croissantes et `x` un ensemble d'abscisses, cette fonction renvoie dans `y` les ordonnées correspondantes, calculées par interpolation linéaire.

### Examples

    x=[1 10 20 30 40];
    y=[1 30 -10 20 40];
    plot2d(x',y',[-3],"011"," ",[-10,-40,50,50]);
    yi=interpln([x;y],-4:45);
    plot2d((-4:45)',yi',[3],"000");

### See Also

`splin`, `interp`, `smooth`,